Name:           athena-xfce-base
Version:        2.0.0
Release:        1%{?dist}
Summary:        XFCE base configuration for Athena OS

License:        LicenseRef-custom
URL:            https://gitlab.com/athenaos/packages/desktop/athena-xfce-base
BuildArch:      noarch

Source0:        %{URL}/-/archive/main/%{name}-main.tar.gz
Source1:        xfce-init.desktop
Source2:        xfce-init
Source3:        xfce4-keyboard-shortcuts.xml
Source4:        athena-xfce-applications.menu

Requires:       network-manager-applet
Requires:       ristretto
Requires:       xdg-user-dirs
Requires:       xfce4-appfinder
Requires:       xfce4-cpugraph-plugin
Requires:       xfce4-panel
Requires:       xfce4-power-manager
Requires:       xfce4-pulseaudio-plugin
Requires:       xfce4-screenshooter
Requires:       xfce4-session
Requires:       xfce4-settings
Requires:       xfce4-taskmanager
Requires:       xfce4-whiskermenu-plugin
Requires:       xfdesktop
Requires:       xfwm4
Requires:       xrandr

%description
XFCE base configuration for Athena OS. Provides menu entries, autostart logic,
keyboard shortcuts, and a custom XFWM4 theme for a cohesive XFCE desktop setup.

%prep
%autosetup -n %{name}-main

%build
# No build step required

%install
# Create necessary directories
install -dm 755 %{buildroot}/etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml
install -dm 755 %{buildroot}/etc/xdg/autostart
install -dm 755 %{buildroot}/etc/xdg/menus
install -dm 755 %{buildroot}/usr/bin
install -dm 755 %{buildroot}/usr/share/xfce4
install -dm 755 %{buildroot}/usr/share/themes

# Copy configuration files
install -Dm 644 %{SOURCE3} %{buildroot}/etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
install -Dm 644 %{SOURCE1} %{buildroot}/etc/xdg/autostart/xfce-init.desktop
install -Dm 755 %{SOURCE2} %{buildroot}/usr/bin/xfce-init
install -Dm 644 %{SOURCE4} %{buildroot}/etc/xdg/menus/applications-merged/athena-xfce-applications.menu

# Install Everblush theme
cp -a Everblush-xfwm %{buildroot}/usr/share/themes/

# Flag file for first-login initialization
touch %{buildroot}/etc/skel/.flag-xfce-once

%files
/etc/skel/.flag-xfce-once
/etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
/etc/xdg/autostart/xfce-init.desktop
/etc/xdg/menus/applications-merged/athena-xfce-applications.menu
/usr/bin/xfce-init
/usr/share/themes/Everblush-xfwm

%changelog
* Sun Apr 21 2025 Little Owl <littleowl@athenaos.org>
- Converted XFCE base config to RPM format
